<!-- Start Comment -->
<?php

	if (!empty($_SERVER['SCRIPT_FILENAME']) && 'comments.php' == basename($_SERVER['SCRIPT_FILENAME']))
		die (__('Please do not load this page directly. Thanks!','Andre'));

	if ( post_password_required() ) { ?>
		<?php echo _e('This post is password protected. Enter the password to view comments.','Andre'); ?>
	<?php
		return;
	}
?>

<?php if ( have_comments() ) : ?>
	
	<h2 id="comments"><?php comments_number(__('No Responses','Andre'),__('One Response','Andre'),__( '% Responses','Andre') );?></h2>
<!-- Start Comment Navigation -->
	<div class="navigation">
		<div class="next-posts"><?php previous_comments_link() ?></div>
		<div class="prev-posts"><?php next_comments_link() ?></div>
	</div>
<!-- End Comment Navigation -->
	<ol class="commentlist">
		<?php wp_list_comments('callback=andre_comment'); ?>
		<?php //wp_list_comments(); ?>		
	</ol>
<!-- Start Comment Navigation -->
	<div class="navigation">
		<div class="next-posts"><?php previous_comments_link() ?></div>
		<div class="prev-posts"><?php next_comments_link() ?></div>
	</div>
<!-- End Comment Navigation -->	
 <?php else : // this is displayed if there are no comments so far ?>

	<?php if ( comments_open() ) : ?>
		<!-- If comments are open, but there are no comments. -->

	 <?php else : // comments are closed ?>


	<?php endif; ?>
	
<?php endif; ?>

<?php if ( comments_open() ) : ?>

<!-- Start Respond -->
<div id="respond">

	<h2><?php comment_form_title(__('Leave a Reply','Andre'),__('Leave a Reply to %s','Andre')); ?></h2>

	<div class="cancel-comment-reply">
		<?php cancel_comment_reply_link(); ?>
	</div>

	<?php if ( get_option('comment_registration') && !is_user_logged_in() ) : ?>
		<p><?php echo _e('You must be', 'Andre'); ?> <a href="<?php echo wp_login_url( get_permalink() ); ?>"><?php echo _e('logged in', 'Andre'); ?></a> <?php echo _e('to post a comment.', 'Andre'); ?></p>
	<?php else : ?>

<!-- Start Form Respond -->
	<form action="<?php echo get_option('siteurl'); ?>/wp-comments-post.php" method="post" id="commentform">

		<?php if ( is_user_logged_in() ) : ?>

			<p><?php echo _e('Logged in as', 'Andre'); ?> <a href="<?php echo get_option('siteurl'); ?>/wp-admin/profile.php"><?php echo $user_identity; ?></a>. <a href="<?php echo wp_logout_url(get_permalink()); ?>" title="Log out of this account"><?php echo _e('Log out', 'Andre'); ?> &raquo;</a></p>

		<?php else : ?>

			<div class="comment-form">
				<input type="text" name="author" id="author" value="<?php echo esc_attr($comment_author); ?>" size="22" tabindex="1" <?php if ($req) echo "aria-required='true'"; ?> />
				<label for="author"><?php echo _e('Name', 'Andre'); ?> <?php if ($req) echo "(required)"; ?></label>
			</div>

			<div class="comment-form">
				<input type="text" name="email" id="email" value="<?php echo esc_attr($comment_author_email); ?>" size="22" tabindex="2" <?php if ($req) echo "aria-required='true'"; ?> />
				<label for="email"><?php echo _e('Mail (will not be published)', 'Andre'); ?> <?php if ($req) echo "(required)"; ?></label>
			</div>

			<div class="comment-form">
				<input type="text" name="url" id="url" value="<?php echo esc_attr($comment_author_url); ?>" size="22" tabindex="3" />
				<label for="url"><?php echo _e('Website', 'Andre'); ?></label>
			</div>

		<?php endif; ?>

		<!--<p>You can use these tags: <code><?php echo allowed_tags(); ?></code></p>-->

		<div class="comment-form">
			<textarea name="comment" id="comment" class="form-control" rows="10" tabindex="4"></textarea>
		</div>

		<div class="comment-form">
			<input name="submit" type="submit" id="submit" class="btn btn-inverse" tabindex="5" value="<?php echo _e('Submit Comment', 'Andre'); ?>" />
			<?php comment_id_fields(); ?>
		</div>
		
		<?php do_action('comment_form', $post->ID); ?>

	</form>
<!-- End Form Respond -->
	<?php endif; // If registration required and not logged in ?>
	
</div>
<!-- End Respond -->
<?php endif; ?>
