<?php 
/**
 * Columns Adder TinyMCE Plugin
 *
 * @package Qualeb
 * @since Qualeb 1.0
 */
 
	require_once('../../../../../../wp-load.php');
	require_once('../../../../../../wp-admin/includes/admin.php');
	do_action('admin_init');
	
	if ( ! is_user_logged_in() )
		die('You must be logged in to access this script.');
	
?>

(function() {
	tinymce.create('tinymce.plugins.<?php echo $dmShortcodes->shortcodesButton; ?>', {
		createControl : function(n, cm) {
			if(n=='<?php echo $dmShortcodes->shortcodesButton; ?>'){
                var cols = cm.createListBox('<?php echo $dmShortcodes->shortcodesButton; ?>List', {
                     title : 'Shortcodes',
                     onselect : function(value) {
                     	if(value == 'dropcap'){
                         	tinyMCE.activeEditor.execCommand('mceInsertContent', 0, '[dropcap] [/dropcap]');
                        }
                        else if(value == 'separator'){
                        	tinyMCE.activeEditor.execCommand('mceInsertContent', 0, '[separator top="30"]');
                        }
						else if(value == 'divider'){
                        	tinyMCE.activeEditor.execCommand('mceInsertContent', 0, '[divider]');
                        }
						else if(value == 'pullquote'){
                        	tinyMCE.activeEditor.execCommand('mceInsertContent', 0, '[pullquote align="left,right"] Your Quote [/pullquote]');
                        }
						else if(value == 'button'){
                        	tinyMCE.activeEditor.execCommand('mceInsertContent', 0, '[button color="blue, red, green, white, black, brown, yellow, gray" size="small, medium, large" link=""]This Button[/button]');
                        }
						else if(value == 'tab'){
                        	tinyMCE.activeEditor.execCommand('mceInsertContent', 0, '[tabs tab1="Tab 1" tab2="Tab 2" tab3="Tab 3"]\n\n[tab id=1]Tab content 1[/tab]\n[tab id=2]Tab content 2[/tab]\n[tab id=3]Tab content 3[/tab]\n\n[/tabs]');
                        }
						else if(value == 'messagebox'){
                        	tinyMCE.activeEditor.execCommand('mceInsertContent', 0, '[messagebox type="infobox, errorbox, tipbox, notebox"] This is messagebox (pick your type). [/messagebox]');
                        }
						else if(value == 'highlight'){
                        	tinyMCE.activeEditor.execCommand('mceInsertContent', 0, '[highlight bg="black,white or RGB color(eg. #ff000;)" color="black, white or RGB color(eg. #ff000;)"]Highlight Text [/highlight]');
                        }
						else if(value == 'circle-list'){
                        	tinyMCE.activeEditor.execCommand('mceInsertContent', 0, '[circle-list] \n<ul>\n<li>Item #1</li>\n<li>Item #2</li>\n<li>Item #3</li>\n</ul>\n [/circle-list]');
                        }
						else if(value == 'arrow-list'){
                        	tinyMCE.activeEditor.execCommand('mceInsertContent', 0, '[arrow-list] \n<ul>\n<li>Item #1</li>\n<li>Item #2</li>\n<li>Item #3</li>\n</ul>\n [/arrow-list]');
                        }
						else if(value == 'bullet-list'){
                        	tinyMCE.activeEditor.execCommand('mceInsertContent', 0, '[bullet-list] \n<ul>\n<li>Item #1</li>\n<li>Item #2</li>\n<li>Item #3</li>\n</ul>\n [/bullet-list]');
                        }
						else if(value == 'circle-list'){
                        	tinyMCE.activeEditor.execCommand('mceInsertContent', 0, '[circle-list] \n<ul>\n<li>Item #1</li>\n<li>Item #2</li>\n<li>Item #3</li>\n</ul>\n [/circle-list]');
                        }
						else if(value == 'star-list'){
                        	tinyMCE.activeEditor.execCommand('mceInsertContent', 0, '[star-list] \n<ul>\n<li>Item #1</li>\n<li>Item #2</li>\n<li>Item #3</li>\n</ul>\n [/star-list]');
                        }
						else if(value == 'check-list'){
                        	tinyMCE.activeEditor.execCommand('mceInsertContent', 0, '[check-list] \n<ul>\n<li>Item #1</li>\n<li>Item #2</li>\n<li>Item #3</li>\n</ul>\n [/check-list]');
                        }
						else if(value == 'vimeo'){
                        	tinyMCE.activeEditor.execCommand('mceInsertContent', 0, '[vimeo id="Enter video ID (eg. 10145153)" width="600" height="350"]');
                        }
						else if(value == 'youtube'){
                        	tinyMCE.activeEditor.execCommand('mceInsertContent', 0, '[youtube id="Enter video ID (eg. Wq4Y7ztznKc)" width="600" height="350"]');
                        }
						else if(value == 'soundcloud'){
                        	tinyMCE.activeEditor.execCommand('mceInsertContent', 0, '[soundcloud url="http://api.soundcloud.com/tracks/15565763" comments="true" auto_play="false" color="ff7700" width="100%" height="81"]');
                        }
						else if(value == 'homeslider'){
                        	tinyMCE.activeEditor.execCommand('mceInsertContent', 0, '[homeslider]');
                        }
						else if(value == 'portfolioitems'){
                        	tinyMCE.activeEditor.execCommand('mceInsertContent', 0, '[portfolioitems count="" cat="" order=""]');
                        }
						else if(value == 'homesidebar'){
                        	tinyMCE.activeEditor.execCommand('mceInsertContent', 0, '[homesidebar] [/homesidebar]');
                        }
						else if(value == 'homeintro'){
                        	tinyMCE.activeEditor.execCommand('mceInsertContent', 0, '[homeintro] [/homeintro]');
                        }
						else if(value == 'showposts'){
                        	tinyMCE.activeEditor.execCommand('mceInsertContent', 0, '[showposts ids="" count="" order=""]');
                        }
                        else if(value == 'hometitle'){
                        	tinyMCE.activeEditor.execCommand('mceInsertContent', 0, '[hometitle] [/hometitle]');
                        }
                     }
                });
				cols.add('-- TYPOGRAPHY --', '-');
				
				cols.add('Dropcap', 'dropcap');
				cols.add('Separator', 'separator');
				cols.add('Divider', 'divider');
				cols.add('Pullquote', 'pullquote');
				cols.add('Message Box', 'messagebox');
				cols.add('Highlight', 'highlight');
				cols.add('Check List', 'check-list');							
				cols.add('Circle List', 'circle-list');
				cols.add('Arrow List', 'arrow-list');
				cols.add('Bullet List', 'bullet-list');
				cols.add('Star-List', 'star-list');
				cols.add('Button', 'button');
				
				cols.add('-- VIDEO and AUDIO --', '-');
				cols.add('Vimeo', 'vimeo');
				cols.add('Youtube', 'youtube');
				cols.add('Soundcloud', 'soundcloud');
				


                return cols;
             }
             
             return null;
		},

	});

	// Register plugin
	tinymce.PluginManager.add('<?php echo $dmShortcodes->shortcodesButton; ?>', tinymce.plugins.<?php echo $dmShortcodes->shortcodesButton; ?>);
	
})();