<?php
/**
* Template Name: Blog
**/
?>

<?php global $data; ?>

<?php if ($itis_mobile) { ?><?php include( TEMPLATEPATH . '/mobile/header.php' ); ?><?php } else { ?><?php get_header(); ?><?php } ?>

<?php if ($itis_mobile) { ?><?php include( TEMPLATEPATH . '/mobile/page-blog.php' ); ?><?php } else { ?>

  <?php get_header(); ?>
  
<div id="container" class="row">

	    <div class="subpadding">
	<!-- Start Content -->
		<?php if (have_posts()) : while (have_posts()) : the_post(); ?>
			<!-- Start Post -->				
			<div class="post" id="post-<?php the_ID(); ?>">

				<div class="entry">
	
					<?php the_content(); ?>
	
				</div>
	
				<?php edit_post_link(__('Edit this entry.','Andre'), '<p>', '</p>'); ?>
	
			</div>
			<!-- End Post -->			

			<?php endwhile; endif; ?>
		<!-- End Content -->
		</div>
		
<?php
$customwidget = get_post_meta($post->ID, 'pyre_customwidget', true);
$fullpos=get_post_meta($post->ID, 'pyre_full_width', true);
$sidepos=get_post_meta($post->ID, 'pyre_sidebar_position', true);

if( ($sidepos == 'left') && ($fullpos == "no") ) {
  get_sidebar();
}
?>

	<div id="content" <?php if($fullpos == "no"){ echo 'class="col-sm-8"'; }else{ echo 'class="col-sm-12"';}?>>
	    <div class="subpadding">
			<?php $page = (get_query_var('paged')) ? get_query_var('paged') : 1; query_posts("showposts=5&paged=$page"); while ( have_posts() ) : the_post() ?>
      <?php  $image = wp_get_attachment_image_src( get_post_thumbnail_id( $post->ID ), 'single-post-thumbnail' ); ?>      
      <?php 
          $post_meta = get_post_meta($post->ID, '_my_meta',TRUE); 
          $post_thumb = get_post_meta($post->ID, 'pyre_thumnailimage', true);      
       ?>
				
			<div <?php post_class() ?> id="post-<?php the_ID(); ?>">
	
				
	
        <h2><a href="<?php the_permalink() ?>"><?php the_title(); ?></a></h2> 

				<div class="entry">
          <?php if($post_thumb==4){ 
                    if(get_post_meta($post->ID, 'pyre_youtube', true)<>""){   
                      echo do_shortcode('[media url="'.get_post_meta($post->ID, 'pyre_youtube', true).'"]'); 
                    }
                    if(get_post_meta($post->ID, 'pyre_vimeo', true)<>""){  
                       echo do_shortcode('[media url="'.get_post_meta($post->ID, 'pyre_vimeo', true).'"]');
                    }    ?>        
          <?php } ?> 
          				
          <?php if($post_thumb==1 && $image<>''){ ?>
            <a href="<?php echo $image[0]; ?>" class="fancybox-media"><img src="<?php echo $image[0]; ?>" alt="<?php the_title(); ?>" width="600" /></a>
            <div class="clear"></div>
          <?php } ?> 	
          <?php if($post_thumb==2 && $image<>''){ ?>          			
             <div class="blog-left">
                <a href="<?php echo $image[0]; ?>" class="fancybox-media"><img src="<?php echo $image[0]; ?>" alt="<?php the_title(); ?>" width="220" /></a>
             </div>
          <?php } ?>   
          <?php if($post_thumb==3 && $image<>''){ ?>          			
             <div class="blog-right">
                <a href="<?php echo $image[0]; ?>" class="fancybox-media"><img src="<?php echo $image[0]; ?>" alt="<?php the_title(); ?>" width="220" /></a>
             </div>
          <?php } ?>              				
               <?php the_excerpt(); ?>
               <div class="clear"></div>
				</div>
        <div class="clr30"></div>
			</div>
			
			<div class="devider"></div>


			<?php endwhile; ?>	
			<?php include (TEMPLATEPATH . '/inc/nav.php' ); ?>	
		</div>				
	</div>

<?php
if( ($sidepos == 'right') && ($fullpos == "no") ) {
  get_sidebar();
}
?>

	<div class="clear"></div>
</div>
<?php get_footer(); ?>	
<?php } ?>